Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.websphere.query.base
Class Limit

    java.lang.Object
      com.ibm.websphere.query.base.Limit

All Implemented Interfaces:
  ILimit, IStringBuilder, java.io.Serializable

    public class Limit

extends java.lang.Object
implements ILimit

A basic implementation of ILimit.

See Also:
  Serialized Form

Constructor Summary
`Limit()` Constructor for Limit
`Limit(int limit)`

Method Summary
`java.lang.String` | `buildString(ISelectQueryCallback builder)` Builds a query string using the given builder callback.
`void` | `buildString(ISelectQueryCallback builder, java.lang.StringBuffer sb)`
`int` | `getLimitValue()` Returns the limitValue
`void` | `setLimitValue(int limitValue)` Sets the limitValue

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Limit

    public Limit()

  Constructor for Limit

### Limit

    public Limit(int limit)

Method Detail

### getLimitValue

    public int getLimitValue()

  Description copied from interface: `ILimit`
  Returns the limitValue

  Specified by:
    `getLimitValue` in interface `ILimit`
  See Also:
    `ILimit.getLimitValue()`

### buildString

    public java.lang.String buildString(ISelectQueryCallback builder)
                                 throws QueryException

  Description copied from interface: `IStringBuilder`
  Builds a query string using the given builder callback.

  Specified by:
    `buildString` in interface `IStringBuilder`
  Throws:
    `QueryException`
  See Also:
    `IStringBuilder#buildString(ISelectQueryCallback2)`

### buildString

    public void buildString(ISelectQueryCallback builder,
                            java.lang.StringBuffer sb)
                     throws QueryException

  Specified by:
    `buildString` in interface `IStringBuilder`
  Throws:
    `QueryException`

### setLimitValue

    public void setLimitValue(int limitValue)

  Sets the limitValue

  Parameters:
    `limitValue` - The limitValue to set

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD